CREATE DATABASE querries_ex;
USE DATABASE querries_ex;
CREATE TABLE cities (id INT NOT NULL, name VARCHAR(20), population FLOAT, safety_rating FLOAT);
CREATE TABLE properties (id INT NOT NULL, name VARCHAR(20), price FLOAT, city_fk VARCHAR(20));
INSERT INTO cities VALUES ('1', 'East Hampton Town',  '28385',  '1.29');
INSERT INTO cities VALUES ('2', 'Port Washington', '15808', '1.13');
INSERT INTO cities VALUES ('3', 'Floral Park Village', '16003', '0.98');
INSERT INTO cities VALUES ('4', 'Southold Town', '22125', '0.96');
INSERT INTO cities VALUES ('5', 'Mamaroneck Town', '29563', '0.95');
INSERT INTO cities VALUES ('6', 'Tarrytown Village', '11436', '0.92');
INSERT INTO cities VALUES ('7', 'New York City', '8804190', '0.91');
INSERT INTO cities VALUES ('8', 'Garden City Village', '22499', '0.91');
INSERT INTO cities VALUES ('9', 'Harrison Town', '28135', '0.88');
INSERT INTO cities VALUES ('10', 'Bedford Town', '17335', '0.85');
INSERT INTO properties VALUES ('1', 'house', '1700000', 'East Hampton Town');
INSERT INTO properties VALUES ('2', 'farm', '1088888', 'Port Washington');
INSERT INTO properties VALUES ('3', 'condo', '599000', 'Floral Park Village');
INSERT INTO properties VALUES ('4', 'house', '875000', 'Southold Town');
INSERT INTO properties VALUES ('5', 'condo', '419500', 'Mamaroneck Town');
INSERT INTO properties VALUES ('6', 'ranch', '268000', 'Tarrytown Village');
INSERT INTO properties VALUES ('7', 'condo', '3265000', 'New York');
INSERT INTO properties VALUES ('8', 'house', '801000', 'Garden City Village');
INSERT INTO properties VALUES ('9', 'mobilehouse', '84000', 'Harrison Town');
INSERT INTO properties VALUES ('10', 'studio', '975000', 'Bedford Town');
SELECT * FROM cities WHERE name = 'New York City';
SELECT * FROM properties ORDER BY price DESC LIMIT 3;
SELECT * FROM properties ORDER BY price ASC LIMIT 5;
INSERT INTO properties VALUES ('11', 'studio', '684000', 'New York City');
INSERT INTO properties VALUES ('12', 'studio', '723000', 'New York City');
INSERT INTO properties VALUES ('13', 'farm', '941000', 'Garden City Village');
SELECT city_fk, COUNT(*) FROM properties GROUP BY city_fk;